#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

# CentOS6/7, RHEL 5/6/7, AML 1/2用環境設定

module CentosConfig

  CMD_CENTOS = {
    :uname => { :cmd => nil, :package => 'coreutils', :checks => [ '/usr/bin/uname', '/bin/uname' ] },
    :rpm => { :cmd => nil, :package => 'rpm', :checks => [ '/usr/bin/rpm', '/bin/rpm' ] },
    :sort => { :cmd => nil, :package => 'coreutils', :checks => [ '/usr/bin/sort', '/bin/sort' ]  },
    :find => { :cmd => nil, :package => 'findutils', :checks => [ '/usr/bin/find', '/bin/find' ]  },
    :unzip => { :cmd => nil, :package => 'unzip', :checks => [ '/usr/bin/unzip', '/bin/unzip' ]  },
  }

  CMD_CENTOS_old = {
    :uname => { :cmd => '/usr/bin/uname', :package => 'coreutils' },
    :rpm => { :cmd => '/usr/bin/rpm', :package => 'rpm' },
    :sort => { :cmd => '/usr/bin/sort', :package => 'coreutils' },
    :find => { :cmd => '/usr/bin/find', :package => 'findutils' },
    :unzip => { :cmd => '/usr/bin/unzip', :package => 'unzip' },
  }

end
